Planet    "Nether"
{
        ParentBody     "Minecraft Sun"
        Class        "Desert"

	Color         ( 0.404 0.380 0.365 )
		
		/*Life //Underground
		{
			Class "Organic"
			Type "Multicellular"
			Biome "Terrestrial"
		}
		
		Life  //Underground
		{
			Class "Exotic"
			Type "Multicellular"
			Biome "Aerial"
		}*/

		Mass            0.125 //Real
        Radius          2255.022962 //Real
	//Gravity 1
		
        InertiaMoment   0.3619266

        Oblateness      0.002408743

        RotationPeriod  31.66943
        RotationOffset  340.3062
        Obliquity       363.5976
        EqAscendNode    85.76968

        Albedo          0.3
        Color          (0.362 0.203 0.134)

        Surface
        {
         BumpHeight      0.128
	 BumpOffset      0
	 BumpMap "Minecraft/Flatland.*"
        }

        Clouds
		{
			Coverage 1.0
		}

        NoOcean         true

        Atmosphere
		{
			Model "Venus"
			
			Greenhouse 190.48
			
			Pressure 1.27
			
			Composition // values in percent
			{
				N2  77.7729
				O2  20.8625
				Ar  0.9303
				H2O 0.4000
				CO2 0.0398
			}
		}
		
		NoAurora        true

        NoRings         true

        NoCometTail     true

        Orbit
        {
		 Period        0.0133333315811136 //0.96*0.01388888706366
         Eccentricity    0.02087332
         Inclination     167.5086
         AscendingNode   83.55076
         ArgOfPericenter 243.5548
         MeanAnomaly     290.5377
         RefPlane       "Ecliptic"
        }
}

Planet    "Overworld/Minecraft World"
{
     ParentBody     "Minecraft Sun"
     Class        "Terra"

	 Mass 8.017639339 //Real
	 Radius          18040.0957 //Real
	//Gravity 1
    InertiaMoment   0.3283256
         
     Oblateness  0.0

     RotationPeriod  0.3333333333
     Obliquity       3.613583
     EqAscendNode    2.57024

     Albedo          0.367
     Color          (0.367 0.517 0.720)

     Life
     {
      Class   "Organic"
      Type    "Multicellular"
      Biome   "Terrestrial/Marine"
     }

     Surface
     {
      SurfStyle       0.8298579     
          OceanStyle      0.4997632     
          Randomize      (-0.070, 0.110, 0.585)     
          colorDistMagn   0.06876124     
          colorDistFreq   854.9638     
          detailScale     30392.71     
          colorConversion true     
          drivenDarkening -1     
          seaLevel        0.6890466     
          snowLevel       0.9951633     
          tropicLatitude  8.742278e-008     
          icecapLatitude  1     
          icecapHeight    0.6890464     
          climatePole     0.6269841     
          climateTropic   0.4945021     
          climateEquator  0.6875     
          tropicWidth     0.2978983     
          mainFreq        24.93592     
          venusFreq       0.1428571     
          venusMagn       0.1349206     
          mareFreq        7.376756     
          mareDensity     0.531746     
          terraceProb     0.6984127     
          erosion         0.1311324     
          montesMagn      0.1657352     
          montesFreq      394.5707     
          montesFraction  -0.1698914     
          dunesMagn       0.05846753     
          dunesFreq       55.59464     
          dunesFraction   0.7845254     
          hillsMagn       0.1333885     
          hillsFreq       852.5304     
          hillsFraction   -0.7845254     
          hills2Fraction  0.457952     
          riversMagn       66.53874     
          riversFreq       3.623623     
          riversSin        5.027544     
          riversOctaves    2     
          canyonsMagn     0.02659923     
          canyonsFreq     105.2632     
          canyonFraction  -0.2350671     
          cracksMagn      0.09677568     
          cracksFreq      0.6265334     
          cracksOctaves   0     
          craterMagn      0.1664234     
          craterFreq      19.7631     
          craterDensity   0     
          craterOctaves   0     
          craterRayedFactor 0     
          twistZones      2     
          twistMagn       3.5     
          cycloneMagn     2.336812     
          cycloneFreq     0     
          cycloneDensity  0.3436359     
          cycloneOctaves  0     
          colorSea       (0.040, 0.100, 0.200, 1.000)     
          colorShelf     (0.150, 0.480, 0.460, 1.000)     
          colorBeach     (0.690, 0.470, 0.320, 0.000)     
          colorDesert    (0.610, 0.380, 0.270, 0.000)     
          colorLowland   (0.510, 0.320, 0.230, 0.000)     
          colorUpland    (0.730, 0.530, 0.370, 0.000)     
          colorRock      (0.620, 0.330, 0.170, 0.000)     
          colorSnow      (1.000, 1.000, 1.000, 0.200)     
          colorLowPlants (0.230, 0.200, 0.020, 0.000)     
          colorUpPlants  (0.500, 0.470, 0.050, 0.000)     
          BumpHeight      0.255     
          BumpOffset      0     
          DiffMapAlpha   "Water"     
          SpecularBright  1.5     
          SpecularPower   40     
          DayAmbient      0.07     
          Lommel          0     
          Exposure        2     
     }

     Clouds
     {
       TidalLocked     false
       Height          0.255
       BumpHeight      0.005
       DayAmbient      2
       Lommel          0.2
       Exposure        2
       Color          (1.000 1.000 1.000 1.000)
       mainFreq        2.500105
       mainOctaves     10
       Coverage        0.1
       twistZones      2
       twistMagn       0.5
	   Velocity        -1.8
     }

     Ocean
     {
      Height          0.062
      DayAmbient      2
      Lommel          0
      Exposure        2
      Color      (0.082, 0.274, 0.313, 1.000)
     }

     Atmosphere
     {
      Model          "Earth"
      Height          169.7056275
      Density         1.29
      Pressure        1
      Greenhouse      28.095
      Bright          10
      Opacity         1
      SkyLight        3.333333
	  
	  Composition // values in percent
		{
			N2  77.7729
			O2  20.8625
			Ar  0.9303
			H2O 0.4000
			CO2 0.0398
		}
     }

     NoAurora        true

     NoRings         true

     NoCometTail     true

     Orbit
     {
      Period         0.01388888706366 //1*0.01388888706366
      Eccentricity    0
      Inclination     0
      AscendingNode   0
      ArgOfPericenter 0
      MeanAnomaly     0
      RefPlane       "Ecliptic"
     }
}

Moon    "Minecraft Moon"
{
        ParentBody     "Minecraft World"
        Class        "Selena"
		
	Life
     {
      Class   "Exotic"
      Type    "Multicellular"
      Biome   "Terrestrial"
     }

        Mass            0.1068505344
        Radius          4914.122069
	//Gravity 0.18

        Oblateness      0.0

	Color         ( 0.843 0.843 0.851 )

     Surface
     {
      SurfStyle       0.3917673     
             OceanStyle      0.6374868     
             Randomize      (0.373, -0.786, 0.179)     
             colorDistMagn   0.04404165     
             colorDistFreq   785.4983     
             detailScale     911.6472     
             colorConversion true     
             drivenDarkening 0     
             seaLevel        0.188982     
             snowLevel       0.9873013     
             tropicLatitude  0.3940493     
             icecapLatitude  0.698026     
             icecapHeight    0.2024365     
             climatePole     0.9375     
             climateTropic   0.3125     
             climateEquator  0.6875     
             tropicWidth     0.07     
             mainFreq        2.097305     
             venusFreq       0.9653614     
             venusMagn       0     
             mareFreq        1.749514     
             mareDensity     0.1531514     
             terraceProb     0.31788     
             erosion         0     
             montesMagn      0.1893415     
             montesFreq      196.6372     
             montesFraction  0.6758875     
             dunesMagn       0.03669945     
             dunesFreq       7540.601     
             dunesFraction   0.05846744     
             hillsMagn       0.1329527     
             hillsFreq       671.3218     
             hillsFraction   0.6898022     
             hills2Fraction  0.09581733     
             riversMagn       60.24612     
             riversFreq       1.806638     
             riversSin        8.387512     
             riversOctaves    0     
             canyonsMagn     0.02291801     
             canyonsFreq     159.7317     
             canyonFraction  -0.6400784     
             cracksMagn      0.03963084     
             cracksFreq      2.976197     
             cracksOctaves   0     
             craterMagn      0.6324597     
             craterFreq      17.39093     
             craterDensity   0.9208109     
             craterOctaves   7     
             craterRayedFactor 0.3218063     
             colorSea       (0.900, 0.900, 0.900, 0.000)     
             colorShelf     (0.600, 0.600, 0.600, 0.000)     
             colorBeach     (0.500, 0.500, 0.500, 0.000)     
             colorDesert    (0.700, 0.700, 0.700, 0.200)     
             colorLowland   (0.900, 0.900, 0.900, 0.500)     
             colorUpland    (0.800, 0.800, 0.800, 0.800)     
             colorRock      (0.500, 0.500, 0.500, 1.000)     
             colorSnow      (1.000, 1.000, 1.000, 1.000)     
             BumpHeight      0.255
             BumpOffset      0     
             SpecularBright  0     
             SpecularPower   40     
             DayAmbient      0.07     
             Lommel          0.8     
             Exposure        3.5     
     }

        NoClouds        true

        NoOcean         true

        NoAtmosphere    true

        NoAurora        true

        NoRings         true

        NoCometTail     true

        Orbit
        {
         SemiMajorAxis   0.000668955
         Period          3.04414003e-4
         Eccentricity    0.0
         Inclination     0.0
         AscendingNode   0.0
         ArgOfPericenter 0.0
         MeanAnomaly     0.0
         RefPlane       "Ecliptic"
        }
} 

Barycenter "The End (barycenter)"
{
        ParentBody "Minecraft Sun"

        Orbit
        {
		 Period 		7.97222117454084 //574*0.01388888706366
		 RefPlane       "Ecliptic"
        }
}

Asteroid "The End island principal"
{
        ParentBody "The End (barycenter)"

        Radius 0.128

        Mass 4.027469427e-10
	//Gravity 1

        Color         ( 0.776 0.761 0.690 )

        Surface
        {
          BumpHeight 0.128
          BumpOffset 0
        }
		
		NoAtmosphere true
	 
	 NoAurora true
	 NoClouds true

        Orbit
        {
         SemiMajorAxis   1e-11
		 RefPlane       "Ecliptic"
        }
}